package Modelo;


import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

public class conexion {
    
        public static final String driver = "com.mysql.cj.jdbc.Driver";
        public static final String URL = "jdbc:mysql://localhost:3306/dbconcierto00";
        public static final String USERNAME = "concierto00";
        public static final String PASSWORD = "concierto00";
        private static Connection con = null;
    
    public static Connection getInstance(){
         System.out.println(USERNAME+" "+PASSWORD+" "+URL);
        try{
            Class.forName(driver);
            // Nos conectamos a la bd
            System.out.println(USERNAME+" "+PASSWORD+" "+URL);
            con= (Connection) DriverManager.getConnection(URL, USERNAME, PASSWORD);
               // Si la conexion fue exitosa mostramos un mensaje de conexion exitosa
               if (con!=null){
                   System.out.println("Conectado");
               }
        }
        // Si la conexion NO fue exitosa mostramos un mensaje de error
        catch (ClassNotFoundException | SQLException e){
            System.out.println("Error de conexion" + e);
        }
        System.out.println(con);
        return con;
    }
}


